%define rname rake
%define name  ruby-%{rname}

%define version 0.6.0
%define release %mkrel 1

Summary: Simple ruby build program with capabilities similar to make
Name: %name
Version: %version
Release: %release
License: MIT
Group: Development/Other
URL: http://rake.rubyforge.org/
Source0: %{rname}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
BuildRequires: ruby 
Requires: ruby

%{expand:%%define ruby_libdir %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}
%{expand:%%define ruby_archdir %(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")}

%description
This package contains Rake, a simple ruby build program with capabilities
similar to make.

Rake has the following features:
 * Rakefiles (rake's version of Makefiles) are completely defined in
   standard Ruby syntax. No XML files to edit. No quirky Makefile syntax to
   worry about (is that a tab or a space?)
 * Users can specify tasks with prerequisites.
 * Rake supports rule patterns to sythesize implicit tasks.
 * Rake is lightweight. It can be distributed with other projects as a single
   file. Projects that depend upon rake do not require that rake be installed
   on target systems.

%prep
%setup -q -n %{rname}-%{version}

%build

%clean
rm -rf %buildroot

%install
rm -rf %buildroot
DESTDIR=%buildroot ruby install.rb --no-ri --tests --rdoc
chmod 644 doc/*.1.gz
mkdir -p %buildroot%{_mandir}/man1
cp doc/*.1.gz %buildroot%{_mandir}/man1/
for f in `find %buildroot%{ruby_libdir} -name \*.rb`
do
        if head -n1 "$f" | grep '^#!' >/dev/null;
        then
                sed -i 's|/usr/local/bin|/usr/bin|' "$f"
                chmod 0755 "$f"
        else
                chmod 0644 "$f"
        fi
done

%files
%defattr(-,root,root)
%{_bindir}/%{rname}
%{ruby_libdir}/%{rname}*
%{_mandir}/man1/*
%doc CHANGES MIT-LICENSE README TODO

%changelog
* Tue Sep 06 2005 Pascal Terjan <pterjan@mandriva.org> 0.6.0-1mdk
- 0.6.0
- mkrel

* Mon Jul 11 2005 Pascal Terjan <pterjan@mandriva.org> 0.5.4-1mdk
- first release
